### Function

# Gio DBusObjectManagerClient new_for_bus

since: 2.30

#### Declaration [src]

    void
    g_dbus_object_manager_client_new_for_bus (
      GBusType bus_type,
      GDBusObjectManagerClientFlags flags,
      const gchar* name,
      const gchar* object_path,
      GDBusProxyTypeFunc get_proxy_type_func,
      gpointer get_proxy_type_user_data,
      GDestroyNotify get_proxy_type_destroy_notify,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Like `g_dbus_object_manager_client_new()` but takes a `GBusType` instead of a `GDBusConnection`.

This is an asynchronous failable constructor. When the result is ready, `callback` will be invoked in the thread-default main context (see `g_main_context_push_thread_default()`) of the thread you are calling this method from. You can then call `g_dbus_object_manager_client_new_for_bus_finish()` to get the result. See `g_dbus_object_manager_client_new_for_bus_sync()` for the synchronous version.

Available since: 2.30

This function completes asynchronously. Use `g_dbus_object_manager_client_new_for_bus_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`bus_type`

  Type: `GBusType`

  A `GBusType`.

`flags`

  Type: `GDBusObjectManagerClientFlags`

  Zero or more flags from the `GDBusObjectManagerClientFlags` enumeration.

`name`

  Type: `const gchar*`

  The owner of the control object (unique or well-known name).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  The object path of the control object.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`get_proxy_type_func`

  Type: `GDBusProxyTypeFunc`

  A `GDBusProxyTypeFunc` function or `NULL` to always construct `GDBusProxy` proxies.

`get_proxy_type_user_data`

  Type: `gpointer`

  User data to pass to `get_proxy_type_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`get_proxy_type_destroy_notify`

  Type: `GDestroyNotify`

  Free function for `get_proxy_type_user_data` or `NULL`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

`user_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.